
local t = Def.ActorFrame{
	LoadActor("onjacket")..{
		InitCommand=function(self)
			local bUseJacket = GetAdhocPref("ShowJackets");
			if bUseJacket then
				self:visible(true);
			else
				self:visible(false);
			end;
		end;
	};
	
	LoadActor("normal")..{
		InitCommand=function(self)
			local bUseJacket = GetAdhocPref("ShowJackets");
			if not bUseJacket then
				self:visible(true);
			else
				self:visible(false);
			end;
		end;
	};

	Def.ActorFrame{
		Condition=not GAMESTATE:IsCourseMode();
		LoadActor("sortframe")..{
			InitCommand=cmd(x,SCREEN_CENTER_X+220;y,SCREEN_CENTER_Y-38;diffusealpha,0;addy,25;sleep,0.6;decelerate,0.4;addy,-25;diffusealpha,1;glow,color("1,0,1,0");linear,0.05;glow,color("1,0,1,1");decelerate,0.4;glow,color("0,1,1,0");queuecommand,"Repeat";);
			RepeatCommand=cmd(sleep,7.5;glow,1,0,1,0;linear,0.05;glow,color("1,0,1,0.5");decelerate,1;glow,color("0,1,1,0");queuecommand,"Repeat";);
			OffCommand=cmd(stoptweening;);
		};
	};

	Def.ActorFrame{
		LoadActor( THEME:GetPathG("","paneframenet") )..{
			InitCommand=cmd(diffusealpha,1;);
		};

		-- top
		LoadActor( THEME:GetPathG("","arrow") )..{
			OnCommand=cmd(diffusealpha,0;sleep,1;queuecommand,"Repeat";);
			RepeatCommand=cmd(x,SCREEN_CENTER_X+120/2;y,SCREEN_CENTER_Y-130;rotationz,180;addx,-3;addy,-10/2;diffusealpha,0.8;glow,color("1,0.5,0,1");linear,0.5;glow,color("0,0,0,0");addx,4;addy,-10;diffusealpha,1;linear,0.5;addx,4;addy,-10;diffusealpha,0;queuecommand,"Repeat";);
			OffCommand=cmd(stoptweening;);
		};

		-- under
		LoadActor( THEME:GetPathG("","arrow") )..{
			OnCommand=cmd(diffusealpha,0;sleep,1;queuecommand,"Repeat";);
			RepeatCommand=cmd(x,SCREEN_CENTER_X-19;y,SCREEN_CENTER_Y+130;addx,3;addy,5;diffusealpha,0.8;glow,color("1,0.5,0,1");linear,0.5;glow,color("0,0,0,0");addx,-4;addy,10;diffusealpha,1;linear,0.5;addx,-4/2;addy,10;diffusealpha,0;queuecommand,"Repeat";);
			OffCommand=cmd(stoptweening;);
		};
	};

};
return t;